# GstMeta for LCEVC

## Functions

### gst_buffer_add_lcevc_meta

    GstLcevcMeta *
    gst_buffer_add_lcevc_meta (GstBuffer * buffer,
                               GstBuffer * enhancement_data)

Attaches GstLcevcMeta metadata to buffer.

Parameters:

`buffer` –

a GstBuffer

`enhancement_data` –

the parsed LCEVC enhancement data

Returns (GstLcevcMeta *) –

the GstLcevcMeta on buffer.

Since : 1.26

### gst_buffer_get_lcevc_meta

    GstLcevcMeta *
    gst_buffer_get_lcevc_meta (GstBuffer * buffer)

Find the GstLcevcMeta on buffer with the lowest id.

Buffers can contain multiple GstLcevcMeta metadata items when dealing with multiview buffers.

Parameters:

`buffer` –

a GstBuffer

Returns (GstLcevcMeta *) –

the GstLcevcMeta with lowest id (usually 0) or NULL when there is no such metadata on buffer.

Since : 1.26

### gst_buffer_get_lcevc_meta_id

    GstLcevcMeta *
    gst_buffer_get_lcevc_meta_id (GstBuffer * buffer,
                                  gint id)

Find the GstLcevcMeta on buffer with the given id.

Buffers can contain multiple GstLcevcMeta metadata items when dealing with multiview buffers.

Parameters:

`buffer` –

a GstBuffer

`id` –

a metadata id

Returns (GstLcevcMeta *) –

the GstLcevcMeta with id or NULL when there is no such metadata on buffer.

Since : 1.26

### gst_lcevc_meta_api_get_type

    GType
    gst_lcevc_meta_api_get_type ()

Gets the GType of the LCEVC meta API.

Returns (GType) –

the GType of the LCEVC meta API.

Since : 1.26

### gst_lcevc_meta_get_info

    GstMetaInfo *
    gst_lcevc_meta_get_info ()

Gets the GstMetaInfo of the LCEVC meta.

Returns (GstMetaInfo *) –

the GstLcevcMeta of the LCEVC meta.

Since : 1.26

## Structures

### GstLcevcMeta

    struct _GstLcevcMeta {
      GstMeta meta;

      gint id;
      GstBuffer *enhancement_data;
    };

LCEVC data for LCEVC codecs

#### Fields

`meta` (GstMeta) –

parent GstMeta

`id` (gint) –

the id of the LCEVC meta

`enhancement_data` (GstBuffer *) –

the parsed LCEVC enhancement data

Since : 1.26

The results of the search are